Program dmphdr;
{$nomain}
{$double}
    
{ 
  Version 1.0
  File:[message]dmphdr.PAS
  Author: Jim Bostwick  11-OCT-1989 
  History:

  Last Edit: 20-NOV-1989 21:51:04 

}
{$Nolist}
{[a+,b+,l-,k+,r+] Pasmat }
%INCLUDE 'pas$ext:GENERAL.TYP';
%INCLUDE 'pas$ext:message.typ';
%INCLUDE 'PAS$EXT:STRING.PKG';
%INCLUDE 'PAS$EXT:CATR56.EXT';
%INCLUDE 'PAS$EXT:CR56TA.EXT';

{$List }

Procedure  DmpHdr( var outf:text;
		var h: message_rec
  	);External;

{*USER*
 This procedure will format and print a message header to the 
specified file. 

}

Procedure DmpHdr;
VAR
	nam: CH6;

BEGIN
	cr56ta(h.dest_task,nam);
	write(outf,'To ',h.dest_node,'::',nam);
	cr56ta(h.src_task,nam);
	write(outf,' From ',h.src_node,'::',nam);
	cr56ta(h.router,nam);
	write(outf, ' Via ', nam);
	writeln(outf, ' with size =', h.Msg_size,'.')
end;



